const TEAM_TLA = "BRA";
const SERVER_URL = "https://cache-wc.4yousee.com.br/";
const API_URL = `${SERVER_URL}v1/wc/${TEAM_TLA}`;
const ENDPOINT = `${API_URL}/game/next`;
const dateFormat = 'pt-BR';

$(document).ready(function () {

    function formatDate(gameDate) {
        let date = gameDate.format("dddd, D [de] MMMM").replace("-feira", "");
        date = date[0].toUpperCase() + date.slice(1);
        let hour = gameDate.format("HH[h]mm");
        return {
            date,
            hour
        }
    }

    $.ajaxSetup({
        headers:{
            'Secret-Token': "Y2MIB91VTUX885GB41CYUEG4AYSLL3"
        }
     });

    $.get(ENDPOINT, function (data) {
        let game = data.response;
        if (game) {
            let stage = game.stage;
            if (game.stage == "Grupos") {
                stage = `Grupo ${game.group}`
            }
            $("#stage-game").text(stage);
            let gameDate = moment(game.date).locale(dateFormat);
            let { date, hour } = formatDate(gameDate);
            $("#date").text(date);
            $("#hour-game").text(hour);
            if (game.score.away != null) {
                $("#score-away").text(game.score.away);
            }
            if (game.score.home != null) {
                $("#score-home").text(game.score.home);
            }
            $(".home-team .country-name").text(game.home.shortName.toUpperCase());
            $(".home-team  img.flag-country").attr("src", `./img/flags/${game.home.shortName.toUpperCase()}.svg`);
            $(".away-team .country-name").text(game.away.shortName.toUpperCase());
            $(".away-team  img.flag-country").attr("src", `./img/flags/${game.away.shortName.toUpperCase()}.svg`);
            $("#stadium-game").text(game.stadium)
        }
    });

});
